/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct UpdateCloudCustomerRequest {
    #[serde(rename = "name", skip_serializing_if = "Option::is_none")]
    pub name: Option<String>,
    #[serde(rename = "email", skip_serializing_if = "Option::is_none")]
    pub email: Option<String>,
    #[serde(rename = "contact_first_name", skip_serializing_if = "Option::is_none")]
    pub contact_first_name: Option<String>,
    #[serde(rename = "contact_last_name", skip_serializing_if = "Option::is_none")]
    pub contact_last_name: Option<String>,
    #[serde(rename = "num_employees", skip_serializing_if = "Option::is_none")]
    pub num_employees: Option<String>,
}

impl UpdateCloudCustomerRequest {
    pub fn new() -> UpdateCloudCustomerRequest {
        UpdateCloudCustomerRequest {
            name: None,
            email: None,
            contact_first_name: None,
            contact_last_name: None,
            num_employees: None,
        }
    }
}
